import { Module } from '@nestjs/common';
import { ConfigModule } from '@nestjs/config';
import { LoggerModule } from './modules/logger.module';
import { HealthModule } from './modules/health/adapters/primaries/health.module';

@Module({
  imports: [
    ConfigModule.forRoot({ isGlobal: true }),
    LoggerModule,
    HealthModule,
  ],
  controllers: [],
  providers: [],
})
export class AppModule {}
